[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[gawk-diffs] [SCM] gawk branch, extgawk, updated. 022ad6523bf98e8c2a272a
From: |
Arnold Robbins |
Subject: |
[gawk-diffs] [SCM] gawk branch, extgawk, updated. 022ad6523bf98e8c2a272a06787be6931e7f3457 |
Date: |
Wed, 01 Aug 2012 19:00:22 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "gawk".
The branch, extgawk has been updated
via 022ad6523bf98e8c2a272a06787be6931e7f3457 (commit)
from 6456df6de8e7f5931551612cfd4eb4f1c562654b (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
http://git.sv.gnu.org/cgit/gawk.git/commit/?id=022ad6523bf98e8c2a272a06787be6931e7f3457
commit 022ad6523bf98e8c2a272a06787be6931e7f3457
Author: Arnold D. Robbins <address@hidden>
Date: Wed Aug 1 21:59:54 2012 +0300
Extension doc updates; install dgawk.1 man page.
diff --git a/doc/ChangeLog b/doc/ChangeLog
index 9c18e99..65907bc 100644
--- a/doc/ChangeLog
+++ b/doc/ChangeLog
@@ -1,3 +1,8 @@
+2012-08-01 Arnold D. Robbins <address@hidden>
+
+ * Makefile.am (install-data-hook): Install a dgawk.1 link to the
+ man page also. Remove it on uninstall.
+
2012-07-29 Andrew J. Schorr <address@hidden>
* gawk.texi: Document that RT is set by getline.
diff --git a/doc/Makefile.am b/doc/Makefile.am
index 744b70a..d1e15ab 100644
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -71,11 +71,12 @@ LN= ln -f
install-data-hook:
(cd $(DESTDIR)$(man1dir); \
$(LN) gawk.1 pgawk.1 2>/dev/null ; \
+ $(LN) gawk.1 dgawk.1 2>/dev/null ; \
exit 0)
# Undo the above when uninstalling
uninstall-hook:
- cd $(DESTDIR)$(man1dir); rm -f pgawk.1 ; exit 0
+ cd $(DESTDIR)$(man1dir); rm -f pgawk.1 dgawk.1 ; exit 0
postscript: gawk.ps gawkinet.ps gawk.1.ps igawk.1.ps $(AWKCARD)
diff --git a/doc/Makefile.in b/doc/Makefile.in
index ceee811..ed205bb 100644
--- a/doc/Makefile.in
+++ b/doc/Makefile.in
@@ -816,11 +816,12 @@ uninstall-man: uninstall-man1
install-data-hook:
(cd $(DESTDIR)$(man1dir); \
$(LN) gawk.1 pgawk.1 2>/dev/null ; \
+ $(LN) gawk.1 dgawk.1 2>/dev/null ; \
exit 0)
# Undo the above when uninstalling
uninstall-hook:
- cd $(DESTDIR)$(man1dir); rm -f pgawk.1 ; exit 0
+ cd $(DESTDIR)$(man1dir); rm -f pgawk.1 dgawk.1 ; exit 0
postscript: gawk.ps gawkinet.ps gawk.1.ps igawk.1.ps $(AWKCARD)
diff --git a/extension/ChangeLog b/extension/ChangeLog
index 40355ef..5ab0207 100644
--- a/extension/ChangeLog
+++ b/extension/ChangeLog
@@ -1,3 +1,10 @@
+2012-08-01 Arnold D. Robbins <address@hidden>
+
+ * Makefile.am (man_MANS): Add man page files so that they
+ get installed.
+ * rwarray.3am: New file.
+ * fnmatch.3am, fork.3am, time.3am: Revised.
+
2012-07-31 Arnold D. Robbins <address@hidden>
* rwarray0.c: Renamed from rwarray.c.
diff --git a/extension/Makefile.am b/extension/Makefile.am
index 016b034..2e6a523 100644
--- a/extension/Makefile.am
+++ b/extension/Makefile.am
@@ -78,5 +78,9 @@ EXTRA_DIST = build-aux/config.rpath \
ChangeLog \
ChangeLog.0
+man_MANS = \
+ filefuncs.3am fnmatch.3am fork.3am ordchr.3am \
+ readdir.3am readfile.3am rwarray.3am time.3am
+
# gettext requires this
SUBDIRS =
diff --git a/extension/Makefile.in b/extension/Makefile.in
index f3cea57..e64fb88 100644
--- a/extension/Makefile.in
+++ b/extension/Makefile.in
@@ -133,7 +133,8 @@ am__uninstall_files_from_dir = { \
|| { echo " ( cd '$$dir' && rm -f" $$files ")"; \
$(am__cd) "$$dir" && rm -f $$files; }; \
}
-am__installdirs = "$(DESTDIR)$(pkgextensiondir)"
+am__installdirs = "$(DESTDIR)$(pkgextensiondir)" \
+ "$(DESTDIR)$(man3dir)"
LTLIBRARIES = $(pkgextension_LTLIBRARIES)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
@@ -224,6 +225,9 @@ am__can_run_installinfo = \
n|no|NO) false;; \
*) (install-info --version) >/dev/null 2>&1;; \
esac
+man3dir = $(mandir)/man3
+NROFF = nroff
+MANS = $(man_MANS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
@@ -457,6 +461,10 @@ EXTRA_DIST = build-aux/config.rpath \
ChangeLog \
ChangeLog.0
+man_MANS = \
+ filefuncs.3am fnmatch.3am fork.3am ordchr.3am \
+ readdir.3am readfile.3am rwarray.3am time.3am
+
# gettext requires this
SUBDIRS =
@@ -612,6 +620,49 @@ clean-libtool:
distclean-libtool:
-rm -f libtool config.lt
+install-man3: $(man_MANS)
+ @$(NORMAL_INSTALL)
+ @list1=''; \
+ list2='$(man_MANS)'; \
+ test -n "$(man3dir)" \
+ && test -n "`echo $$list1$$list2`" \
+ || exit 0; \
+ echo " $(MKDIR_P) '$(DESTDIR)$(man3dir)'"; \
+ $(MKDIR_P) "$(DESTDIR)$(man3dir)" || exit 1; \
+ { for i in $$list1; do echo "$$i"; done; \
+ if test -n "$$list2"; then \
+ for i in $$list2; do echo "$$i"; done \
+ | sed -n '/\.3[a-z]*$$/p'; \
+ fi; \
+ } | while read p; do \
+ if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
+ echo "$$d$$p"; echo "$$p"; \
+ done | \
+ sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
+ -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
+ sed 'N;N;s,\n, ,g' | { \
+ list=; while read file base inst; do \
+ if test "$$base" = "$$inst"; then list="$$list $$file"; else \
+ echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man3dir)/$$inst'"; \
+ $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man3dir)/$$inst" || exit $$?;
\
+ fi; \
+ done; \
+ for i in $$list; do echo "$$i"; done | $(am__base_list) | \
+ while read files; do \
+ test -z "$$files" || { \
+ echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man3dir)'"; \
+ $(INSTALL_DATA) $$files "$(DESTDIR)$(man3dir)" || exit $$?; }; \
+ done; }
+
+uninstall-man3:
+ @$(NORMAL_UNINSTALL)
+ @list=''; test -n "$(man3dir)" || exit 0; \
+ files=`{ for i in $$list; do echo "$$i"; done; \
+ l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
+ sed -n '/\.3[a-z]*$$/p'; \
+ } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^3][0-9a-z]*$$,3,;x' \
+ -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
+ dir='$(DESTDIR)$(man3dir)'; $(am__uninstall_files_from_dir)
# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
@@ -777,6 +828,19 @@ distclean-tags:
-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
distdir: $(DISTFILES)
+ @list='$(MANS)'; if test -n "$$list"; then \
+ list=`for p in $$list; do \
+ if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
+ if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
+ if test -n "$$list" && \
+ grep 'ab help2man is required to generate this page' $$list
>/dev/null; then \
+ echo "error: found man pages containing the 'missing help2man'
replacement text:" >&2; \
+ grep -l 'ab help2man is required to generate this page' $$list |
sed 's/^/ /' >&2; \
+ echo " to fix them, install help2man, remove and regenerate
the man pages;" >&2; \
+ echo " typically 'make maintainer-clean' will remove them"
>&2; \
+ exit 1; \
+ else :; fi; \
+ else :; fi
$(am__remove_distdir)
test -d "$(distdir)" || mkdir "$(distdir)"
@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
@@ -959,10 +1023,10 @@ distcleancheck: distclean
exit 1; } >&2
check-am: all-am
check: check-recursive
-all-am: Makefile $(LTLIBRARIES) config.h
+all-am: Makefile $(LTLIBRARIES) $(MANS) config.h
installdirs: installdirs-recursive
installdirs-am:
- for dir in "$(DESTDIR)$(pkgextensiondir)"; do \
+ for dir in "$(DESTDIR)$(pkgextensiondir)" "$(DESTDIR)$(man3dir)"; do \
test -z "$$dir" || $(MKDIR_P) "$$dir"; \
done
install: install-recursive
@@ -1019,7 +1083,7 @@ info: info-recursive
info-am:
-install-data-am: install-pkgextensionLTLIBRARIES
+install-data-am: install-man install-pkgextensionLTLIBRARIES
install-dvi: install-dvi-recursive
@@ -1035,7 +1099,7 @@ install-info: install-info-recursive
install-info-am:
-install-man:
+install-man: install-man3
install-pdf: install-pdf-recursive
@@ -1067,7 +1131,9 @@ ps: ps-recursive
ps-am:
-uninstall-am: uninstall-pkgextensionLTLIBRARIES
+uninstall-am: uninstall-man uninstall-pkgextensionLTLIBRARIES
+
+uninstall-man: uninstall-man3
.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
cscopelist-recursive ctags-recursive install-am install-strip \
@@ -1085,12 +1151,13 @@ uninstall-am: uninstall-pkgextensionLTLIBRARIES
install install-am install-data install-data-am install-dvi \
install-dvi-am install-exec install-exec-am install-html \
install-html-am install-info install-info-am install-man \
- install-pdf install-pdf-am install-pkgextensionLTLIBRARIES \
- install-ps install-ps-am install-strip installcheck \
- installcheck-am installdirs installdirs-am maintainer-clean \
- maintainer-clean-generic mostlyclean mostlyclean-compile \
- mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
- tags tags-recursive uninstall uninstall-am \
+ install-man3 install-pdf install-pdf-am \
+ install-pkgextensionLTLIBRARIES install-ps install-ps-am \
+ install-strip installcheck installcheck-am installdirs \
+ installdirs-am maintainer-clean maintainer-clean-generic \
+ mostlyclean mostlyclean-compile mostlyclean-generic \
+ mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
+ uninstall uninstall-am uninstall-man uninstall-man3 \
uninstall-pkgextensionLTLIBRARIES
diff --git a/extension/fnmatch.3am b/extension/fnmatch.3am
index 2a922d2..d438497 100644
--- a/extension/fnmatch.3am
+++ b/extension/fnmatch.3am
@@ -81,7 +81,6 @@ if (fnmatch("*.a", "foo.c", flags) == FNM_NOMATCH)
.fi
.ft R
.SH "SEE ALSO"
-.IR fnmatch (3),
.IR "GAWK: Effective AWK Programming" ,
.IR filefuncs (3am),
.IR fork (3am),
diff --git a/extension/fork.3am b/extension/fork.3am
index 4fb9681..804ad0c 100644
--- a/extension/fork.3am
+++ b/extension/fork.3am
@@ -58,6 +58,7 @@ else
.IR "GAWK: Effective AWK Programming" ,
.IR filefuncs (3am),
.IR fnmatch (3am),
+.IR ordchr (3am),
.IR readdir (3am),
.IR readfile (3am),
.IR rwarray (3am),
diff --git a/extension/time.3am b/extension/rwarray.3am
similarity index 54%
copy from extension/time.3am
copy to extension/rwarray.3am
index ad582b7..b897760 100644
--- a/extension/time.3am
+++ b/extension/rwarray.3am
@@ -1,49 +1,54 @@
-.TH TIME 3am "Jul 30 2012" "Free Software Foundation" "GNU Awk Extension
Modules"
+.TH RWARRAY 3am "Aug 01 2012" "Free Software Foundation" "GNU Awk Extension
Modules"
.SH NAME
-time \- time functions for gawk
+writea, reada \- write and read gawk arrays to/from files
.SH SYNOPSIS
.ft CW
address@hidden "time"
address@hidden "rwarray"
.br
-time = gettimeofday()
+ret = writea(file, array)
.sp
-ret = sleep(amount)
+ret = reada(file, array)
.ft R
.SH DESCRIPTION
The
-.I time
+.I rwarray
extension adds two functions named
-.BR gettimeofday() .
+.BR writea() .
and
-.BR sleep() ,
+.BR reada() ,
as follows.
.TP
-.B gettimeofday()
-This function returns the number of seconds since the Epoch
-as a floating-point value. It should have subsecond precision.
-It returns \-1 upon error and sets
-.B ERRNO
-to indicate the problem.
+.B writea()
+This function takes a string argument, which is the name of the
+file to which dump the array, and the array itself as the second
+argument.
+.B writea()
+understands multidimensional arrays.
+It returns 1 on success, 0 on failure.
.TP
-.BI sleep( seconds )
-This function attempts to sleep for the given amount of seconds, which
-may include a fractional portion.
-If
-.I seconds
-is negative, or the attempt to sleep fails,
-then it returns \-1 and sets
-.BR ERRNO .
-Otherwise, the function should return 0 after sleeping
-for the indicated amount of time.
-... .SH NOTES
+.B reada()
+is the inverse of
+.BR writea() ;
+it reads the file named as its first argument, filling in
+the array named as the second argument. It clears the array
+first.
+Here too, the return value is 1 on success and 0 on failure.
+.SH NOTES
+The file contains binary data. All integral values are written
+in network byte order.
+However, double precision floating-point values are written as
+native binary data. Thus, arrays containing only string data
+can theoretically be dumped on systems with one byte order and
+restored on systems with a different one, but this has not been tried.
... .SH BUGS
.SH EXAMPLE
.ft CW
.nf
address@hidden "time"
address@hidden "rwarray"
\&...
-printf "It is now %g seconds since the Epoch\en", gettimeofday()
-printf "Pausing for a while... " ; sleep(2.5) ; print "done"
+ret = writea("arraydump.bin", array)
+\&...
+ret = reada("arraydump.bin", array)
.fi
.ft R
.SH "SEE ALSO"
@@ -54,7 +59,7 @@ printf "Pausing for a while... " ; sleep(2.5) ; print "done"
.IR ordchr (3am),
.IR readdir (3am),
.IR readfile (3am),
-.IR rwarray (3am),
+.IR time (3am).
.SH AUTHOR
Arnold Robbins,
.BR address@hidden .
diff --git a/extension/time.3am b/extension/time.3am
index ad582b7..53cd175 100644
--- a/extension/time.3am
+++ b/extension/time.3am
@@ -54,7 +54,7 @@ printf "Pausing for a while... " ; sleep(2.5) ; print "done"
.IR ordchr (3am),
.IR readdir (3am),
.IR readfile (3am),
-.IR rwarray (3am),
+.IR rwarray (3am).
.SH AUTHOR
Arnold Robbins,
.BR address@hidden .
-----------------------------------------------------------------------
Summary of changes:
doc/ChangeLog | 5 ++
doc/Makefile.am | 3 +-
doc/Makefile.in | 3 +-
extension/ChangeLog | 7 +++
extension/Makefile.am | 4 ++
extension/Makefile.in | 91 ++++++++++++++++++++++++++++++-----
extension/fnmatch.3am | 1 -
extension/fork.3am | 1 +
extension/{time.3am => rwarray.3am} | 63 +++++++++++++-----------
extension/time.3am | 2 +-
10 files changed, 135 insertions(+), 45 deletions(-)
copy extension/{time.3am => rwarray.3am} (54%)
hooks/post-receive
--
gawk
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [gawk-diffs] [SCM] gawk branch, extgawk, updated. 022ad6523bf98e8c2a272a06787be6931e7f3457,
Arnold Robbins <=